<!-- Include header -->
{% include "header.html" %}

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Scan History
        </h1>
    </section>

    <!-- Main content -->
    <section class="content container-fluid">
       <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <form action="/scheduleScan" method="get">
                            <input type="hidden" name="action" value="schedule_scan">
                            <button type="submit" class="btn btn-primary" style="float:right;">Schedule New Scan</button>
                        </form>
                    </div>
                    <div class="box-body">
                        <table class="table table-bordered table-hover" id="schedule_table">
                            <thead><tr>
                                <th>Scan Name</th>
                                <th>Description</th>
                                <th>Date</th>
                                <th>Frequency</th>
                                <th>Total Results Found</th>
                            </tr></thead>
                            <!-- Get search items via /showScheduleScan [app.py] -->
                            <tbody>
                            
                            {% for item in scan_events %}
                               <tr>
                                  <td>{{item["name"]}}</td>
                                  <td>{{item["description"]}}</td>
                                  <td>{{item["time"]}}</td>
                                  <td>{{item["frequency"]}}</td>
                                  <td>{{item["result_count"]}}</td>
                               </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div> <!-- /box body -->
                </div> <!-- /box  -->
            </div> <!-- /end col -->
        </div> <!-- /end row -->
    </section><!-- /.content -->
</div><!-- /.content-wrapper -->

    
 
<!-- Page JavaScript/Jquery goes here -->
<script>

$(function () {
    $('#schedule_table').DataTable({
      'paging'      : true,
      'lengthChange': false,
      'searching'   : true,
      'ordering'    : true,
      'info'        : true,
      'autoWidth'   : false
    })
})

</script>


<!-- Include footer -->
{% include "footer.html" %}



